FUDforum
Fast Uncompromising Discussions. FUDforum will get your users talking.

Home » FUDforum » How To » System requirements to run FUDforum. (A thread that asks what are the system requirements and dependencies to run FUDForum.)
Show: Today's Messages :: Unread Messages :: Show Polls :: Message Navigator
| Subscribe to topic | Bookmark topic 
Switch to threaded view of this topic Create a new topic Submit Reply
System requirements to run FUDforum. [message #187165] Fri, 12 August 2016 00:16 Go to next message
Spork Schivago is currently offline  Spork Schivago   United States
Messages: 5
Registered: August 2016
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
Hello.

I currently don't have a forum. I was thinking of purchasing that vBulletin but after looking through Wikipedia, FUDForum seems to have the most features and is free. I figure I might give it a shot and see if I like it or not. I want something that's highly customizable.

Before I start the installation though, I had some questions that I couldn't find any answers to. I searched the internet and even searched the FAQ. Does anyone know what the system requirements are to run FUDForum? More importantly, what are the dependencies that I need to have installed on my system? I don't really need to know about the various libraries (such as libgthread), I just want to know if there's any third party programs that FUDForum depends on.

For example, I'm sure PHP is required, along with some sort of database. I use MariaDB, which is fairly popular. I'm guessing FUDForum works with MariaDB. I'm still learning HTML and I have to admit, I don't know a lot yet. I see on the Wikipedia page, FUDForum uses something called AJAX. Is that a third party program or is that something like CSS? I really don't want to have to install Drupal. I wanted to see if that was a requirement or not.

Does anyone know where I can find the information I'm requesting? Thank you.
Re: System requirements to run FUDforum. [message #187166 is a reply to message #187165] Fri, 12 August 2016 04:46 Go to previous messageGo to next message
naudefj is currently offline  naudefj   South Africa
Messages: 3631
Registered: December 2004
Karma: 17
Senior Member
Administrator
Core Developer
add to buddy list
ignore all messages by this user
You need a web server like Apache with PHP 5.3 or better as documented on the wiki at FUDforum 3.0.7.
MariaDB is (for all practical purposes) a binary drop in replacement for MySQL, so it should work well with FUDforum.
You don't have to worry about AJAX, like HTML and CSS, it works in most modern web browsers.

PS: FUDforum is open source and there is NO SUPPORT for it. If you need assistance to get the stack running, you should rather go with vBulletin.

Good luck!
Frank

[Updated on: Fri, 12 August 2016 04:47]

Report message to a moderator

Re: System requirements to run FUDforum. [message #187171 is a reply to message #187166] Sat, 13 August 2016 11:17 Go to previous messageGo to next message
Spork Schivago is currently offline  Spork Schivago   United States
Messages: 5
Registered: August 2016
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
Thank you for the reply. I don't think I'll need any support, but over the years, I've found open sourced projects generally have community based support, where people that have the software installed share their knowledge with people who need help. Is that not the purpose of this How To sub-forum?

Although I don't really know a lot of HTML / CSS yet, I am learning, slowly. I figured if I install FUDforum and decide I don't like it, I could easily remove it. Is there any complex procedures involved in removing it after it's installed? I feel very comfortable from a terminal shell. Thanks and sorry for all the questions!
Aw: Re: System requirements to run FUDforum. [message #187173 is a reply to message #187171] Sun, 14 August 2016 14:19 Go to previous messageGo to next message
alopezie is currently offline  alopezie   Germany
Messages: 92
Registered: September 2003
Karma: 1
Member
add to buddy list
ignore all messages by this user
Like always it will depend on your needs.

Fudforum is a "click-and-run" server, but its strenghts are based in its extrem speed for high volumes and flexibility for theming
It doesn´t require anything unusual, only if your Linux-install is very "basic"it might be necessary to add something. Can´t remember exactly, but I think once I didn´t have GDLIB

If you are unhappy just remove directory and 1 database, nothing else necessary.


Alopezie.de - das Forum zum Thema Haarausfall
Re: Aw: Re: System requirements to run FUDforum. [message #187175 is a reply to message #187173] Mon, 15 August 2016 21:57 Go to previous message
Spork Schivago is currently offline  Spork Schivago   United States
Messages: 5
Registered: August 2016
Karma: 0
Junior Member
add to buddy list
ignore all messages by this user
Thanks! Once we get moved into the house we're purchasing, I'm going to go ahead and install it and devote some quality time to my site. Thanks!
Quick Reply
Formatting Tools:   
  Switch to threaded view of this topic Create a new topic
Previous Topic: set up 3 forum in 3 different languages
Next Topic: What is going on here?
Goto Forum:
  

-=] Back to Top [=-
[ Syndicate this forum (XML) ] [ RSS ]

Current Time: Mon Dec 11 18:05:08 EST 2017

Total time taken to generate the page: 0.00721 seconds